Printago API
GET /v1/cost-components/{id}

Get cost component by ID

Requires: settings.view

Path Parameters

id required
string
Cost component ID

Response Schema

CostComponent
createdAtrequired
string
format: date-time
descriptionoptionalnullable
string
idrequired
string
namerequired
string
raterequired
number
storeIdrequired
string
typerequired
"material" | "labor" | "overhead"
materiallaboroverhead
unitrequired
string
updatedAtrequired
string
format: date-time

Example Response

200 OK — application/json
{
  "id": "string",
  "name": "string",
  "unit": "string",
  "rate": 1,
  "type": "material",
  "description": "string",
  "storeId": "string",
  "createdAt": "2025-01-15T12:00:00.000Z",
  "updatedAt": "2025-01-15T12:00:00.000Z"
}